org.richfaces.renderkit

## Class OrderingListRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.AbstractRowsRenderer
        - - org.richfaces.renderkit.OrderingComponentRendererBase
          - - org.richfaces.renderkit.OrderingListRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    OrderingListRenderer

      public abstract class OrderingListRendererBase
      extends OrderingComponentRendererBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `OrderingComponentRendererBase.ControlsHelper, OrderingComponentRendererBase.SelectionState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static OrderingComponentRendererBase.ControlsHelper[]` | `HELPERS`

    - ### Fields inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `ATTRIBUTE_CE_ONHEADERCLICK, ATTRIBUTE_CONTROLS_TYPE, CONTROL_TYPE_BUTTON, CONTROL_TYPE_LINK, CONTROL_TYPE_NONE, SHOW_LABELS_ATTRIBUTE_NAME`

    - ### Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderingListRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeControlsFacets(javax.faces.context.FacesContext context, UIOrderingList orderingList)`
    `void` | `encodeOneRow(javax.faces.context.FacesContext context, TableHolder holder)`
    `void` | `encodeRows(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class` | `getComponentClass()`
    `boolean` | `getRendersChildren()`
    `boolean` | `isHeaderExists(javax.faces.context.FacesContext context, UIOrderingBaseComponent component)`

    - ### Methods inherited from class org.richfaces.renderkit.OrderingComponentRendererBase

      `encodeCaption, encodeCaption, encodeCaption, encodeControlFacet, encodeHeader, encodeHeader, encodeHeaderFacets, getAsEventHandler, getCaptionDisplay, getClassesAsList, getColumnClassesAsJSArray, getConverter, getItemState, getRowClassesAsJSArray, isHeaderExists, renderDefaultControl`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `doCleanup, encodeCaption, encodeCellChildren, encodeChildren, encodeRowEvents, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, process`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HELPERS

          protected static final OrderingComponentRendererBase.ControlsHelper[] HELPERS

  - ### Constructor Detail

    - #### OrderingListRendererBase

          public OrderingListRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `AbstractRowsRenderer`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `OrderingComponentRendererBase`
      Throws:
        `java.io.IOException`

    - #### isHeaderExists

          public boolean isHeaderExists(javax.faces.context.FacesContext context,
                               UIOrderingBaseComponent component)

    - #### encodeControlsFacets

          public void encodeControlsFacets(javax.faces.context.FacesContext context,
                                  UIOrderingList orderingList)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeRows

          public void encodeRows(javax.faces.context.FacesContext context,
                        javax.faces.component.UIComponent component)
                          throws java.io.IOException

      Overrides:
        `encodeRows` in class `AbstractRowsRenderer`
      Throws:
        `java.io.IOException`

    - #### encodeOneRow

          public void encodeOneRow(javax.faces.context.FacesContext context,
                          TableHolder holder)
                            throws java.io.IOException

      Specified by:
        `encodeOneRow` in class `AbstractRowsRenderer`
      Throws:
        `java.io.IOException`

    - #### doDecode

          public void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

Copyright © 2013. All Rights Reserved.